Wigle Wifi Wardriving 2.2 Released

The frontpage news bits

5 posts • Page 1 of 1

Postby bobzilla » Fri Jul 04, 2014 9:56 pm

Fixes and workarounds for older devices and UI race conditions in new version of Wigle Wifi for Android now up in the Google Play Store.

* 2.2 (07/04/2014)
Fix BackStackRecord exception by avoiding fragment manager
Fix extra upload dialog after completion
Fix TabHost exception on android 2.1/2.2
Fix isEmpty exception on android 2.1/2.2
-bobzilla - WiGLE.net just a little bit
When I attempt to upload, I'm getting an error after compression: FileNotFoundException: https://wigle.net/gps/gps/main/confirmfile/
The error lists the file that wasn't found, but it ends with .csv. The file is present compressed in the named location but ends with .csv.gz. I don't know if the error is truncated or what.

Stack trace is
java.io.FileNotFoundException: https://wigle.net/gps/gps/main/confirmfile/
at com.android.okhttp.internal.http.HttpURLConnectionImpl.getInputStream(HttpURLConnectionImpl.java:186)
at com.android.okhttp.internal.http.HttpsURLConnectionImpl.getInputStream(HttpsURLConnectionImpl.java:246)
at net.wigle.wigleandroid.background.HttpFileUploader.getInputStream(HttpFileUploader.java:241)
at net.wigle.wigleandroid.background.HttpFileUploader.upload(HttpFileUploader.java:216)
at net.wigle.wigleandroid.background.FileUploaderTask.doUpload(FileUploaderTask.java:199)
at net.wigle.wigleandroid.background.FileUploaderTask.doRun(FileUploaderTask.java:112)
at net.wigle.wigleandroid.background.FileUploaderTask.subRun(FileUploaderTask.java:90)
at net.wigle.wigleandroid.background.AbstractBackgroundTask.run(AbstractBackgroundTask.java:73)
I eventually found the problem, was a server-side module that should not have been loaded, was fixed sometime last week.
-bobzilla - WiGLE.net just a little bit
Hello bobzilla,

I downloaded the wardriving app from F-Droid some days ago, but it's still version 1.58. Does the latest version need Google services, or is there another reason why it's not available from F-Droid?

It only requires sdk 7 (ECLAIR_MR1 2.1), the support library is in the apk. This version does not need the play library, but future ones likely will.
-bobzilla - WiGLE.net just a little bit

5 posts • Page 1 of 1

Return to “WiGLE Frontpage”

Who is online

Users browsing this forum: No registered users and 1 guest